import com.isidroid.gradle.getBuildVersion
import com.isidroid.gradle.gitBranch
import com.isidroid.gradle.increaseBuildNumber

task("increaseBuildVersion") {
    doFirst {
        increaseBuildNumber(project)
    }
}


task("cleanUpBuilds") {
    doLast {
        com.isidroid.gradle.cleanupBuilds(project)
    }
}

task("copyAllBundles") {
    doLast {
        val folder = com.isidroid.gradle.copyAllBundles(project)
        com.isidroid.gradle.upload(folder)
    }
}

task("createGitReleaseTag"){
    doLast {
        com.isidroid.gradle.createGitTag(project, "release")
    }
}

task("createGitBuildTag"){
    doLast {
        com.isidroid.gradle.createGitTag(project, "build")
    }
}
